[SRU] icehouse packages need python-six >= 1.5.2 Depends

Bug #1403114 reported by Ryan Beisner on 2014-12-16
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[Impact]

This can potentially occur on any of the icehouse packages that do not already have:

Depends:
 python-six (>= 1.5.2),

It is a bit of a corner case on precise, since you have to have installed python-six prior to adding the icehouse cloud archive, and then you'll hit it if you install the openstack package after adding the icehouse cloud archive.

2014-12-16 04:05:17 INFO install Setting up keystone (1:2014.1.3-0ubuntu2~cloud0) ...
2014-12-16 04:05:17 INFO install Traceback (most recent call last):
2014-12-16 04:05:17 INFO install File "/usr/bin/keystone-manage", line 37, in <module>
2014-12-16 04:05:17 INFO install from keystone import cli
2014-12-16 04:05:17 INFO install File "/usr/lib/python2.7/dist-packages/keystone/cli.py", line 23, in <module>
2014-12-16 04:05:17 INFO install from keystone.common import sql
2014-12-16 04:05:17 INFO install File "/usr/lib/python2.7/dist-packages/keystone/common/sql/__init__.py", line 17, in <module>
2014-12-16 04:05:17 INFO install from keystone.common.sql.core import *
2014-12-16 04:05:17 INFO install File "/usr/lib/python2.7/dist-packages/keystone/common/sql/core.py", line 35, in <module>
2014-12-16 04:05:17 INFO install from keystone.openstack.common.db.sqlalchemy import models
2014-12-16 04:05:17 INFO install File "/usr/lib/python2.7/dist-packages/keystone/openstack/common/db/sqlalchemy/models.py", line 32, in <module>
2014-12-16 04:05:17 INFO install class ModelBase(six.Iterator):
2014-12-16 04:05:17 INFO install AttributeError: 'module' object has no attribute 'Iterator'
2014-12-16 04:05:17 INFO install dpkg: error processing keystone (--configure):
2014-12-16 04:05:17 INFO install subprocess installed post-installation script returned error exit status 1

[Test Case]

On a precise machine (e.g. juju bootstrap; juju deploy cs:precise/ubuntu ubuntu-precise) do the following:
1) add-apt-repository -r cloud-archive:icehouse #remove cloud archive
2) apt-get update
3) apt-get install python-six
4) add-apt-repository cloud-archive:icehouse #add cloud archive
5) apt-get update
6) apt-get install keystone

[Regression Potential]

Extremely low risk of regression.

Related branches

summary: - icehouse package needs python-six 1.5.2-1 dependency
+ [SRU] icehouse package needs python-six 1.5.2-1 dependency

When installing keystone in a fresh enviro using the cloud archive, it installs cleanly. But if an older version of python-six is already installed, such as may be provided earlier by another package's dependency, the older 1.1.0-2 six version remains.

Ryan Beisner (1chb1n) wrote :

issue affects precise OpenStack charm deployments

Ryan Beisner (1chb1n) wrote :

ubuntu@juju-beis1-machine-8:~$ dpkg -l | egrep 'keystone|six'
iF keystone 1:2014.1.3-0ubuntu2~cloud0 OpenStack identity service - Daemons
ii python-keystone 1:2014.1.3-0ubuntu2~cloud0 OpenStack identity service - Python library
ii python-keystoneclient 1:0.7.1-ubuntu1~cloud0 Client library for OpenStack Identity API
ii python-six 1.1.0-2 Python 2 and 3 compatibility library (Python 2 interface)

ubuntu@juju-beis1-machine-8:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.5 LTS
Release: 12.04
Codename: precise

description: updated
Changed in keystone (Ubuntu):
status: New → Invalid
summary: - [SRU] icehouse package needs python-six 1.5.2-1 dependency
+ [SRU] icehouse packages need python-six >= 1.5.2 Depends
description: updated
no longer affects: keystone
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid

Hello Ryan, or anyone else affected,

Accepted ceilometer into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceilometer/2014.1.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in cinder (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Ryan, or anyone else affected,

Accepted cinder into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2014.1.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Ryan, or anyone else affected,

Accepted glance into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2014.1.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Ryan, or anyone else affected,

Accepted heat into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2014.1.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Ryan, or anyone else affected,

Accepted horizon into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2014.1.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Ryan, or anyone else affected,

Accepted keystone into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2014.1.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Ryan, or anyone else affected,

Accepted neutron into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2014.1.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Ryan, or anyone else affected,

Accepted nova into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2014.1.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Chris,

This bug has been verified against the 2014.1.4-0ubuntu2 versions of the affected packages.

Thanks,
Corey

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.1.4-0ubuntu2

---------------
glance (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 08:54:37 -0400

Changed in glance (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for glance has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.1.4-0ubuntu2

---------------
keystone (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/p/drop-oslo-serialization.patch: Drop oslo.serialization (LP: #1437741).
  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:07:47 -0400

Changed in keystone (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.1.4-0ubuntu2

---------------
heat (2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:01:26 -0400

Changed in heat (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2014.1.4-0ubuntu2

---------------
ceilometer (2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 08:39:45 -0400

Changed in ceilometer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1.4-0ubuntu2

---------------
horizon (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:37:04 -0400

Changed in horizon (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1.4-0ubuntu2

---------------
neutron (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:14:07 -0400

Changed in neutron (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.1.4-0ubuntu2

---------------
cinder (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 08:46:58 -0400

Changed in cinder (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2014.1.4-0ubuntu2

---------------
nova (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  [ Edward Hope-Morley ]
  * Fixed race between nova-compute and neutron-ovs-cleanup (LP: #1420572)

  [ Corey Bryant ]
  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:28:30 -0400

Changed in nova (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers